# Novita AI Hunyuan Video Fast API | Generate videos from text

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-hunyuan-video-fast

# Hunyuan Video Fast

POST

/

v3

/

async

/

hunyuan-video-fast

Try it

Hunyuan Video Fast

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/async/hunyuan-video-fast \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"model_name": "&#x3C;string>",
"width": 123,
"height": 123,
"seed": 123,
"steps": 123,
"prompt": "&#x3C;string>"
}
'
```

200

```
{
"task_id": "&#x3C;string>"
}
```

Accelerated inference for HunyuanVideo with high resolution, a state-of-the-art text-to-video generation model capable of creating high-quality videos with realistic motion from text descriptions.

This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the video generation results.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Supports: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-model-name)

model_name

string

required

Name of the model checkpoint.Supports: `hunyuan-video-fast`.

[​](#param-width)

width

integer

required

Width of the output video.Supports: `720`, `1280`.

[​](#param-height)

height

integer

required

Height of the output video.Supports:

- `720` for `width` of `1280`

- `1280` for `width` of `720`

[​](#param-seed)

seed

integer

required

A seed is a number generates noise, which, makes generation deterministic. Using the same seed and set of parameters will produce identical content each time.Range: `-1 <= x <= 9999999999`.

[​](#param-steps)

steps

integer

required

The number of denoising steps. More steps usually produce higher quality content but take more time to generate.Range: `2 <= x <= 30`.

[​](#param-prompt)

prompt

string

required

Prompt text required to guide the generation.Range: `1 <= x <= 2000`.

##

[​](#response)

Response

[​](#param-task-id)

task_id

string

required

Use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the generated outputs.

##

[​](#example)

Example

Here is an example of how to use the Hunyuan Video Fast API.

- Generate a task_id by sending a POST request to the Hunyuan Video Fast API.

`Request:`

```
curl --location 'https://api.novita.ai/v3/async/hunyuan-video-fast' \
--header 'Authorization: Bearer {{API Key}}' \
--header 'Content-Type: application/json' \
--data '{
"model_name": "hunyuan-video-fast",
"height": 720,
"width": 1280,
"seed": -1,
"steps": 30,
"prompt": "A close up view of a glass sphere that has a zen garden within it. There is a small dwarf in the sphere who is raking the zen garden and creating patterns in the sand.",
"frames": 85
}'
```

`Response:`

```
{
"task_id": "{Returned Task ID}"
}
```

- Use `task_id` to get output videos.

HTTP status codes in the 2xx range indicate that the request has been successfully accepted, while status codes in the 5xx range indicate internal server errors.
You can get videos url in `videos` of response.
`Request:`

```
curl --location --request GET 'https://api.novita.ai/v3/async/task-result?task_id={Returned Task ID}' \
--header 'Authorization: Bearer {{API Key}}'
```

`Response:`

```
{
"task": {
"task_id": "{Returned Task ID}",
"task_type": "HUNYUAN_VIDEO_FAST",
"status": "TASK_STATUS_SUCCEED",
"reason": "",
"eta": 0,
"progress_percent": 100
},
"images": [],
"videos": [
{
"video_url": "{The URL of the generated video}",
"video_url_ttl": "3600",
"video_type": "mp4"
}
]
}
```

`Video files:`

Last modified on April 24, 2025
